<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>IP detector</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<div class="wrapper">
<p>
    Джс однопоточен, поэтому каждая операция выполняется в ед времени и серия действий выстравивается в очередь. Чтоб не блокировать работу основного кода браузер перепоручает выполнения оперделенной задачи Web API, освобождая стек вызова и не блокирует основной поток кода. По окончанию обработки Web API своего куска кода он становится в общую очередь чтоб не прервать текущую задачу. Эдакий аутсорс в миниатюре.</p>

<button id="buttonIP">Вычислить по IP</button>
</div>
<script src="script.js"></script>

</body>
</html>